Showing results for 
Search instead for 
Do you mean 
Reply
Solved! Go to solution

Visual Studio supported versions

Hello

 

I've heard that NXOpen C++ in NX 9 supports Visual Studio 2012 only.  Which versions of VS2012 are supported?

 

As you may have heard, MS has released "Updates" (similar to "Service Packs") for VS 2012, and they say that their "Service Pack Policy" applies to "Update 4" -- that is, in mid-January 2015, VS 2012 Update 4 will be the only version MS supports*.  Will Siemens support previous versions of VS 2012, such as VS 2012 RTM, or only the versions supported by Microsoft?

 

Regards,

Keith

 

http://support.microsoft.com/gp/lifeDevTool -- see items 3 and 4
http://support.microsoft.com/gp/lifecycle -- click “Service Pack Lifecycle Support Policy”
VS Professional, Premium, and Ultimate are each listed with Service Pack Support end date Jan 13, 2015 

5 REPLIES
Solution
Solution
Accepted by topic author user_name
‎08-26-2015 04:32 AM

Re: Visual Studio supported versions

Hi Keith,

 

it is Visual Studio 2012 Update 1.

You can find this information in the NX9 Release Notes.

 

Just a hint: On the site http://support.industrysoftware.automation.siemens.com/docs/nx you can find all Release Notes (and What's new Guides) from Unigraphics NX 1.0 to NX 9.0 including Maintenance Releases.

 

Regards,

Johannes

Re: Visual Studio supported versions

Forgot that: You can also find the whole NX Documentation for NX 7.5 up to NX 9 there....

Cheers,
Johannes

Re: Visual Studio supported versions

"Your WebKey account is valid, but you are not allowed access to this server."

Re: Visual Studio supported versions

I'm unable to access the site, and I haven't been able to find this information anywhere else on the web.

 

Are you saying that Update 1 is the *only* version supported?

 

I'd also like to know if Update 1 is still going to be the only version supported moving past the January 13, 2015 end-date of Microsoft's support for this version.

 

Thanks,

Keith

 

 

Solution
Solution
Accepted by topic author user_name
‎08-26-2015 04:32 AM

Re: Visual Studio supported versions

Hi Keith,

 

The NX Release Notes say: "These are the only ones certified for use with NX Open", then the compatible software is listed.

So I would say that Update 1 is the one and only officially supported version... from NX 9.0 through NX 9.0.2

 

If you need to use a higher Visual Studio Update version you will need to contact GTAC and ask for this.

GTAC should also be able to help you regarding your lack of access to the documentation. I know it should work, as there are other customers that can access this site.

 

Regards,

Johannes